/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    newPixabayDataFetchBatch = require('../../../../serverside/batch/new_pixabay_data_fetch_batch.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['New pixabay data fetch batch.'] = function (test) {
    var context = testResource.requireMockModule('mock-context.js')();
    var batch = newPixabayDataFetchBatch(context);
    test.ok(batch);
    test.equal(batch.name, 'pixabayDataFetchBatch');
    test.done();
};